Bug 439980 - internal compiler error: Segmentation fault
internal compiler error: Segmentation fault
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2008-04-01 02:56 EDT by cac
Modified: 2009-01-09 01:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:18:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocessed source (18.30 KB, text/plain)
2008-04-01 02:56 EDT, cac
no flags Details

  None (edit)
Description cac 2008-04-01 02:56:04 EDT
Description of problem:

Compiler reports:
cc -Wall -O6 -lssl    88.c   -o 88
88.c: In function 'recurse':
88.c:8: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cckGONaB.out file, please attach this to
your bugreport.

Version-Release number of selected component (if applicable):

gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)

How reproducible:

Steps to Reproduce:
Actual results:

Compiler reports internal error

Expected results:

Compiler should no report internal error

Additional info:

For the terminally curious, this is problem 88 at ProjectEuler.net.
I care not about a fix per se, I am simply reporting it as the compiler

The last change I made to the file was changing:
   long long newProd = prod * digit;
   long long newProd = (long long) prod * digit;

The error is not transient; ie rerunning against the same source
produces the same error.
Comment 1 cac 2008-04-01 02:56:04 EDT
Created attachment 299853 [details]
Preprocessed source
Comment 2 Denys Vlasenko 2008-07-22 11:41:49 EDT
Just a data point: both 32-bit 4.3.1 and 64-bit 4.3.0 seems to wrok for me with
this testcase (gcc does not segfault):

# gcc t.c -mtune=generic -O6 -Wall -frandom-seed=0
# i486-linux-uclibc-gcc t.c -mtune=generic -O6 -Wall -frandom-seed=0

# gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC)

# i486-linux-uclibc-gcc -v
Using built-in specs.
Target: i486-linux-uclibc
gcc version 4.3.1 (GCC)
Comment 3 tadeusz 2008-10-04 15:15:48 EDT
I have kind of similar problem in the part of make:
g++ -DHAVE_CONFIG_H -I. -I. -I../..   -DNDEBUG     -I/home/tadek/ALPS/include   -I/home/tadek/ALPS/include -I/home/tadek/alps/lp_solve_4.0  -pthread -ftemplate-depth-150 -O3 -DBOOST_DISABLE_ASSERTS -fexceptions -w -MT spinmc_factory.o -MD -MP -MF .deps/spinmc_factory.Tpo -c -o spinmc_factory.o spinmc_factory.C
spinmc_factory.C: In constructor ‘AbstractSpinSim<MAT>::AbstractSpinSim(const alps::ProcessList&, const alps::Parameters&, int) [with MAT = DiagMatrix<double, 3>]’:
spinmc_factory.C:194: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccivog71.out file, please attach this to your bugreport.
make[2]: *** [spinmc_factory.o] Error 1
make[2]: Leaving directory `/home/tadek/alps/alps-applications-1.3.3/mc/spins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/tadek/alps/alps-applications-1.3.3/mc'
make: *** [all-recursive] Error 1
[tadek@tanka alps-applications-1.3.3]$ g++ --version
g++ (GCC) 4.3.0 20080428 (Red Hat 4.3.0-8)
Copyright (C) 2008 Free Software Foundation, Inc.

This is part of bigger application and is supposed to work.
Comment 4 Bug Zapper 2008-11-26 05:20:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 01:18:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.